Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider
Class SHA1RSASignature

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature
                  |
                  +--org.mozilla.jss.provider.SHA1RSASignature

public class SHA1RSASignature
extends java.security.Signature

Inner classes inherited from class java.security.Signature
`java.security.Signature.Delegate`

Field Summary
`protected Signature` | `sig`

Fields inherited from class java.security.Signature
`algorithm, debug, provider, SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Constructor Summary
`SHA1RSASignature()`

Method Summary
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)`
`void` | `engineInitSign(java.security.PrivateKey privateKey)`
`void` | `engineInitSign(java.security.PrivateKey privateKey, java.security.SecureRandom random)`
`void` | `engineInitVerify(java.security.PublicKey publicKey)`
`void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)`
`byte[]` | `engineSign()`
`int` | `engineSign(byte[] outbuf, int offset, int len)`
`void` | `engineUpdate(byte b)`
`void` | `engineUpdate(byte[] b, int off, int len)`
`boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.Signature
`clone, debug, debug, getAlgorithm, getInstance, getInstance, getParameter, getProvider, initSign, initSign, initVerify, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, verify`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### sig

    protected Signature sig

Constructor Detail

### SHA1RSASignature

    public SHA1RSASignature()

Method Detail

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey,
                               java.security.SecureRandom random)
                        throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineInitSign

    public void engineInitSign(java.security.PrivateKey privateKey)
                        throws java.security.InvalidKeyException

  Overrides:
    `engineInitSign` in class `java.security.SignatureSpi`

### engineInitVerify

    public void engineInitVerify(java.security.PublicKey publicKey)
                          throws java.security.InvalidKeyException

  Overrides:
    `engineInitVerify` in class `java.security.SignatureSpi`

### engineUpdate

    public void engineUpdate(byte b)
                      throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineUpdate

    public void engineUpdate(byte[] b,
                             int off,
                             int len)
                      throws java.security.SignatureException

  Overrides:
    `engineUpdate` in class `java.security.SignatureSpi`

### engineSign

    public byte[] engineSign()
                      throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineSign

    public int engineSign(byte[] outbuf,
                          int offset,
                          int len)
                   throws java.security.SignatureException

  Overrides:
    `engineSign` in class `java.security.SignatureSpi`

### engineVerify

    public boolean engineVerify(byte[] sigBytes)
                         throws java.security.SignatureException

  Overrides:
    `engineVerify` in class `java.security.SignatureSpi`

### engineSetParameter

    public void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)
                            throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)
                               throws java.security.InvalidParameterException

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)
                                           throws java.security.InvalidParameterException

  Overrides:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD